Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.dashboard
Class DashboardBean

    java.lang.Object
      org.jboss.portal.core.admin.ui.dashboard.DashboardBean

All Implemented Interfaces:
  AddPageAction.Listener

    public class DashboardBean

extends java.lang.Object
implements AddPageAction.Listener

Version:
  $Revision: 9130 $
Author:
  Julien Viet

Field Summary
`InstanceContainer` | `instanceContainer` .
`LayoutService` | `layoutService` .
`javax.faces.model.SelectItem[]` | `pageItems` .
`PageManagerBean` | `pageManager` .
`PortalObjectContainer` | `portalObjectContainer` .
`java.lang.String` | `selectedPageLayout` .
`java.lang.String` | `selectedPageName` .
`java.lang.String` | `selectedPageTheme` .
`boolean` | `selectePageIsDefault` .
`ThemeService` | `themeService` .
`Portal` | `userPortal` .

Constructor Summary
`DashboardBean()`

Method Summary
`void` | `actionRefresh()`
`void` | `destroyPage()`
`InstanceContainer` | `getInstanceContainer()`
`LayoutService` | `getLayoutService()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`Page` | `getSelectedPage()`
`ThemeService` | `getThemeService()`
`void` | `pageCreated(Page page)`
`void` | `renderRefresh()`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setLayoutService(LayoutService layoutService)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`
`void` | `setThemeService(ThemeService themeService)`
`void` | `updateLayout()`
`void` | `updateTheme()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalObjectContainer

    public PortalObjectContainer portalObjectContainer

  .

### layoutService

    public LayoutService layoutService

  .

### themeService

    public ThemeService themeService

  .

### instanceContainer

    public InstanceContainer instanceContainer

  .

### selectedPageName

    public java.lang.String selectedPageName

  .

### userPortal

    public Portal userPortal

  .

### selectedPageTheme

    public java.lang.String selectedPageTheme

  .

### selectedPageLayout

    public java.lang.String selectedPageLayout

  .

### pageManager

    public PageManagerBean pageManager

  .

### pageItems

    public javax.faces.model.SelectItem[] pageItems

  .

### selectePageIsDefault

    public boolean selectePageIsDefault

  .

Constructor Detail

### DashboardBean

    public DashboardBean()

Method Detail

### pageCreated

    public void pageCreated(Page page)

  Specified by:
    `pageCreated` in interface `AddPageAction.Listener`

### actionRefresh

    public void actionRefresh()

### getSelectedPage

    public Page getSelectedPage()

### renderRefresh

    public void renderRefresh()

### updateTheme

    public void updateTheme()

### updateLayout

    public void updateLayout()

### destroyPage

    public void destroyPage()

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### getLayoutService

    public LayoutService getLayoutService()

### setLayoutService

    public void setLayoutService(LayoutService layoutService)

### getThemeService

    public ThemeService getThemeService()

### setThemeService

    public void setThemeService(ThemeService themeService)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD